<?php

namespace App\ViewModels\ProdutoServico\ProdutoRegistrationViewModel;

use App\Utils\Entity;

class ProdutoRegistrationViewModel extends Entity {
	// protected $id;
	protected $nome;
	protected $descricao;
	protected $id_unidade;
	protected $id_tipo;
	protected $id_status;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	// protected $alterado_por;
	protected $data_alteracao;
	protected $hora_alteracao;
	protected $valor;

	public static function builder(): ProdutoRegistrationViewModelBuilder {

		return new ProdutoRegistrationViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNome() {

		return $this->nome;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDescricao() {

		return $this->descricao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->id_unidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdTipo() {

		return $this->id_tipo;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdStatus() {

		return $this->id_status;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCriadoPor() {

		return $this->criado_por;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->data_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->hora_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataAlteracao() {

		return $this->data_alteracao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraAlteracao() {

		return $this->hora_alteracao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @param mixed $nome
	 */
	public function setNome($nome) {

		$this->nome = $nome;

	}

	/**
	 *
	 * @param mixed $descricao
	 */
	public function setDescricao($descricao) {

		$this->descricao = $descricao;

	}

	/**
	 *
	 * @param mixed $id_unidade
	 */
	public function setIdUnidade($id_unidade) {

		$this->id_unidade = $id_unidade;

	}

	/**
	 *
	 * @param mixed $id_tipo
	 */
	public function setIdTipo($id_tipo) {

		$this->id_tipo = $id_tipo;

	}

	/**
	 *
	 * @param mixed $id_status
	 */
	public function setIdStatus($id_status) {

		$this->id_status = $id_status;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por) {

		$this->criado_por = $criado_por;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;

	}

	/**
	 *
	 * @param mixed $data_alteracao
	 */
	public function setDataAlteracao($data_alteracao) {

		$this->data_alteracao = $data_alteracao;

	}

	/**
	 *
	 * @param mixed $hora_alteracao
	 */
	public function setHoraAlteracao($hora_alteracao) {

		$this->hora_alteracao = $hora_alteracao;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}

}

